/*
 * MassiveCompiler.java
 *
 * Created on 19 maggio 2004, 18.42
 */

package it.businesslogic.ireport.plugin.massivecompiler;

import it.businesslogic.ireport.plugin.*;
import it.businesslogic.ireport.gui.*;
/**
 *
 * @author  Administrator
 */
public class MassiveCompiler extends IReportPlugin {
    
    MassiveCompilerFrame mcf = null;
    
    /** Creates a new instance of MassiveCompiler */
    public MassiveCompiler() {
    }
    
    public void call() {
        if (mcf == null)
        {
            mcf = new MassiveCompilerFrame();
            mcf.setIReportMainFrame( this.getMainFrame() );
        }
        
        mcf.show();
    }
    
}
